Skip to main content
`Ctrl`+`K`

# PetscSectionGetComponentName

Gets the name of a field component in the `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetComponentName(PetscSection s, PetscInt field, PetscInt comp, const char *compName[])

Not Collective

## Input Parameters

- s - the `PetscSection`

- field - the field number

- comp - the component number

## Output Parameter

- compName - the component name

## Note

Will error if the field or component number do not exist

## Developer Notes

The function name should have Field in it since they are field components.

## See Also

PetscSection, `PetscSection`, `PetscSectionGetFieldName()`, `PetscSectionSetNumFields()`, `PetscSectionGetNumFields()`, `PetscSectionSetComponentName()`, `PetscSectionSetFieldName()`, `PetscSectionGetFieldComponents()`, `PetscSectionSetFieldComponents()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages